The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get All Inbound Proxy Rules

Prev Next

This URL gets all the inbound proxy rules created on the Manager.

Resource URL

GET /domain/sslconfiguration/inboundproxyrules

Request Parameters

URL Parameters: None

Response Parameters

Following fields are returned:

Field Name

Description

Data Type

sslInboundProxyRuleList

List of all the SSL inbound proxy rule

Array

Details of objects in sslInboundProxyRuleList:

Field Name

Description

Data Type

ruleId

Rule id

Number

ruleName

Rule name

String

comment

Comment

String

destWebServerIPs

Web server IPs

String

webServerCerts

List of web server certificates

Object

installOn

List of Sensors on which the list of web server certificates are installed

Array

defaultKey

Default list of web server certificates

Object

lastUpdated

Last update details

Object

Details of the defaultKey:

Field Name

Description

Data Type

validityStatus

Validity status of web server certificate

String

keyAlias

Alias for web server certificate

String

Details of the lastUpdated:

Field Name

Description

Data Type

time

Last update time

String

by

Last updated by user

String

Example

Request

GET https://<NSM_IP>/sdkapi/domain/sslconfiguration/inboundproxyrules

Response

{
“SSLInboundProxyRuleList”: [
{
“ruleId”: 5, 
“ruleName': “InboundProxyRule2”, 
“comment”: “Rule 2”, 
“destWebServerIPs”: “10.213.0.0/16”
“webServerCerts”: [{“validityStatus”: “VALID”, “keyAlias”: “NSAT_521_1024_SHA384”}], 
“installedOn”: [“/Test Child Domain 1/NS9500_2”], 
“defaultKey': {“validityStatus”: “VALID”, “keyAlias”: “NSAT_521_1024_SHA384”}, 
“lastUpdated”: {“by”: “admin”, “time”: “2019-10-22 12:50:58.0”}, 
}},
“ruleId”: 6, 
“ruleName': “InboundProxyRule3”, 
“comment”: “Rule 3”, 
“destWebServerIPs”: “10.213.23.0/24”
“webServerCerts”: [{“validityStatus”: “VALID”, “keyAlias”: “NSAT_522_1024_SHA384”}], 
“installedOn”: [“/Test Child Domain 1/NS9500_1”], 
“defaultKey': {“validityStatus”: “VALID”, “keyAlias”: “NSAT_522_1024_SHA384”}, 
“lastUpdated”: {“by”: “admin”, “time”: “2019-10-23 12:54:58.0”}, 
}

Error Information

Following error code is returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

500

1001

Internal error